<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.kxs</groupId>
        <artifactId>kxs-system</artifactId>
        <version>1.1.0</version>
    </parent>

    <artifactId>kxs-system-api</artifactId>
    <packaging>jar</packaging>

    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <dependencies>
        <!--core 工具类-->
        <dependency>
            <groupId>com.kxs</groupId>
            <artifactId>kxs-common-core</artifactId>
        </dependency>
        <!-- excel 导入导出 https://github.com/sky-mesh/excel-spring-boot-starter -->
        <dependency>
            <groupId>com.pig4cloud.excel</groupId>
            <artifactId>excel-spring-boot-starter</artifactId>
        </dependency>
        <!--mybatis 依赖-->
        <dependency>
            <groupId>com.kxs</groupId>
            <artifactId>kxs-common-mybatis</artifactId>
        </dependency>
        <!-- LB 扩展 -->
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-loadbalancer</artifactId>
        </dependency>
        <!--caffeine 替换LB 默认缓存实现-->
        <dependency>
            <groupId>com.github.ben-manes.caffeine</groupId>
            <artifactId>caffeine</artifactId>
        </dependency>
        <!-- seata -->
        <dependency>
            <groupId>com.kxs</groupId>
            <artifactId>kxs-common-seata</artifactId>
        </dependency>
        <dependency>
            <groupId>com.kxs</groupId>
            <artifactId>kxs-common-mq</artifactId>
        </dependency>
    </dependencies>
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>14</source>
                    <target>14</target>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>